org.apache.solr.client.solrj.request

## Class DelegationTokenRequest.Get

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.DelegationTokenRequest<DelegationTokenRequest.Get,DelegationTokenResponse.Get>
    - - org.apache.solr.client.solrj.request.DelegationTokenRequest.Get

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DelegationTokenRequest<Q extends DelegationTokenRequest<Q,R>,R extends DelegationTokenResponse>

      public static class DelegationTokenRequest.Get
      extends DelegationTokenRequest<DelegationTokenRequest.Get,DelegationTokenResponse.Get>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

      `DelegationTokenRequest.Cancel, DelegationTokenRequest.Get, DelegationTokenRequest.Renew`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `renewer`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

      `OP_KEY, TOKEN_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Get()`
    `Get(String renewer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DelegationTokenResponse.Get` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `SolrParams` | `getParams()`
    `protected DelegationTokenRequest.Get` | `getThis()`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

      `getContentStreams`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renewer

          protected String renewer

  - ### Constructor Detail

    - #### Get

          public Get()

    - #### Get

          public Get(String renewer)

  - ### Method Detail

    - #### getThis

          protected DelegationTokenRequest.Get getThis()

      Specified by:
        `getThis` in class `DelegationTokenRequest<DelegationTokenRequest.Get,DelegationTokenResponse.Get>`

    - #### getParams

          public SolrParams getParams()

      Specified by:
        `getParams` in class `SolrRequest<DelegationTokenResponse.Get>`

    - #### createResponse

          public DelegationTokenResponse.Get createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `DelegationTokenRequest<DelegationTokenRequest.Get,DelegationTokenResponse.Get>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.